Squadcast is now SolarWinds Incident Response
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Rotation

List Schedule Rotations

get
/v4/schedules/{scheduleID}/rotations
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
scheduleIDstringRequired
Responses
200

The request has succeeded.

application/json
get/v4/schedules/{scheduleID}/rotations
GET /v4/schedules/{scheduleID}/rotations HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": 1,
      "name": "text",
      "scheduleID": 1,
      "color": "text",
      "startDate": "text",
      "period": "text",
      "customPeriodFrequency": 1,
      "customPeriodUnit": "text",
      "shiftTimeSlots": [
        {
          "startHour": 1,
          "startMin": 1,
          "duration": 1,
          "dayOfWeek": "text"
        }
      ],
      "changeParticipantsFrequency": 1,
      "changeParticipantsUnit": "text",
      "endDate": "text",
      "endsAfterIterations": 1,
      "rotationParticipants": [
        {
          "participants": [
            {
              "id": "text",
              "type": "text"
            }
          ]
        }
      ],
      "createdAt": "text",
      "updatedAt": "text"
    }
  ]
}

Create Rotation

post
/v4/schedules/{scheduleID}/rotations
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
scheduleIDstringRequired
Body
namestringRequired
colorstringOptional
startDatestringRequired
periodstringRequired
customPeriodFrequencyintegerOptional
customPeriodUnitstringOptional
changeParticipantsFrequencyintegerRequired
changeParticipantsUnitstringRequired
endDatestringOptional
endsAfterIterationsintegerOptional
Responses
201

The request has succeeded and a new resource has been created as a result.

application/json
post/v4/schedules/{scheduleID}/rotations
POST /v4/schedules/{scheduleID}/rotations HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 371

{
  "name": "text",
  "color": "text",
  "startDate": "text",
  "period": "text",
  "customPeriodFrequency": 1,
  "customPeriodUnit": "text",
  "shiftTimeSlots": [
    {
      "startHour": 1,
      "startMin": 1,
      "duration": 1,
      "dayOfWeek": "text"
    }
  ],
  "changeParticipantsFrequency": 1,
  "changeParticipantsUnit": "text",
  "endDate": "text",
  "endsAfterIterations": 1,
  "participantGroups": [
    {
      "participants": [
        {
          "id": "text",
          "type": "text"
        }
      ]
    }
  ]
}
{
  "data": {
    "id": 1,
    "name": "text",
    "scheduleID": 1,
    "color": "text",
    "startDate": "text",
    "period": "text",
    "customPeriodFrequency": 1,
    "customPeriodUnit": "text",
    "shiftTimeSlots": [
      {
        "startHour": 1,
        "startMin": 1,
        "duration": 1,
        "dayOfWeek": "text"
      }
    ],
    "changeParticipantsFrequency": 1,
    "changeParticipantsUnit": "text",
    "endDate": "text",
    "endsAfterIterations": 1,
    "rotationParticipants": [
      {
        "participants": [
          {
            "id": "text",
            "type": "text"
          }
        ]
      }
    ],
    "createdAt": "text",
    "updatedAt": "text"
  }
}

Get Schedule Rotation by ID

get
/v4/schedules/{scheduleID}/rotations/{rotationID}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
scheduleIDstringRequired
rotationIDstringRequired
Responses
200

The request has succeeded.

application/json
get/v4/schedules/{scheduleID}/rotations/{rotationID}
GET /v4/schedules/{scheduleID}/rotations/{rotationID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": 1,
    "name": "text",
    "scheduleID": 1,
    "color": "text",
    "startDate": "text",
    "period": "text",
    "customPeriodFrequency": 1,
    "customPeriodUnit": "text",
    "shiftTimeSlots": [
      {
        "startHour": 1,
        "startMin": 1,
        "duration": 1,
        "dayOfWeek": "text"
      }
    ],
    "changeParticipantsFrequency": 1,
    "changeParticipantsUnit": "text",
    "endDate": "text",
    "endsAfterIterations": 1,
    "rotationParticipants": [
      {
        "participants": [
          {
            "id": "text",
            "type": "text"
          }
        ]
      }
    ],
    "createdAt": "text",
    "updatedAt": "text"
  }
}

Update Rotation

put
/v4/schedules/{scheduleID}/rotations/{rotationID}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
scheduleIDstringRequired
rotationIDstringRequired
Body
namestringRequired
colorstringOptional
startDatestringRequired
periodstringRequired
customPeriodFrequencyintegerOptional
customPeriodUnitstringOptional
changeParticipantsFrequencyintegerRequired
changeParticipantsUnitstringRequired
endDatestringOptional
endsAfterIterationsintegerOptional
Responses
200

The request has succeeded.

application/json
put/v4/schedules/{scheduleID}/rotations/{rotationID}
PUT /v4/schedules/{scheduleID}/rotations/{rotationID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 302

{
  "name": "text",
  "color": "text",
  "startDate": "text",
  "period": "text",
  "customPeriodFrequency": 1,
  "customPeriodUnit": "text",
  "shiftTimeSlots": [
    {
      "startHour": 1,
      "startMin": 1,
      "duration": 1,
      "dayOfWeek": "text"
    }
  ],
  "changeParticipantsFrequency": 1,
  "changeParticipantsUnit": "text",
  "endDate": "text",
  "endsAfterIterations": 1
}
{
  "data": {
    "id": 1,
    "name": "text",
    "scheduleID": 1,
    "color": "text",
    "startDate": "text",
    "period": "text",
    "customPeriodFrequency": 1,
    "customPeriodUnit": "text",
    "shiftTimeSlots": [
      {
        "startHour": 1,
        "startMin": 1,
        "duration": 1,
        "dayOfWeek": "text"
      }
    ],
    "changeParticipantsFrequency": 1,
    "changeParticipantsUnit": "text",
    "endDate": "text",
    "endsAfterIterations": 1,
    "rotationParticipants": [
      {
        "participants": [
          {
            "id": "text",
            "type": "text"
          }
        ]
      }
    ],
    "createdAt": "text",
    "updatedAt": "text"
  }
}

Delete Rotation

delete
/v4/schedules/{scheduleID}/rotations/{rotationID}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
scheduleIDstringRequired
rotationIDstringRequired
Responses
204

There is no content to send for this request, but the headers may be useful.

*/*
objectOptional
delete/v4/schedules/{scheduleID}/rotations/{rotationID}
DELETE /v4/schedules/{scheduleID}/rotations/{rotationID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{}

Get Rotation Participants

get
/v4/schedules/{scheduleID}/rotations/{rotationID}/participants
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
scheduleIDstringRequired
rotationIDstringRequired
Responses
200

The request has succeeded.

application/json
get/v4/schedules/{scheduleID}/rotations/{rotationID}/participants
GET /v4/schedules/{scheduleID}/rotations/{rotationID}/participants HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "rotationID": 1,
    "participantGroups": [
      {
        "participants": [
          {
            "id": "text",
            "type": "text"
          }
        ]
      }
    ]
  }
}

Update Rotation Participants

put
/v4/schedules/{scheduleID}/rotations/{rotationID}/participants
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
scheduleIDstringRequired
rotationIDstringRequired
Body
Responses
200

The request has succeeded.

application/json
put/v4/schedules/{scheduleID}/rotations/{rotationID}/participants
PUT /v4/schedules/{scheduleID}/rotations/{rotationID}/participants HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 70

{
  "participantGroups": [
    {
      "participants": [
        {
          "id": "text",
          "type": "text"
        }
      ]
    }
  ]
}
{
  "data": {
    "rotationID": 1,
    "participantGroups": [
      {
        "participants": [
          {
            "id": "text",
            "type": "text"
          }
        ]
      }
    ]
  }
}

Last updated